/*
 * Sonatype Nexus (TM) Open Source Version
 * Copyright (c) 2008-present Sonatype, Inc.
 * All rights reserved. Includes the third-party code listed at http://links.sonatype.com/products/nexus/oss/attributions.
 *
 * This program and the accompanying materials are made available under the terms of the Eclipse Public License Version 1.0,
 * which accompanies this distribution and is available at http://www.eclipse.org/legal/epl-v10.html.
 *
 * Sonatype Nexus (TM) Professional Version is available from Sonatype, Inc. "Sonatype" and "Sonatype Nexus" are trademarks
 * of Sonatype, Inc. Apache Maven is a trademark of the Apache Software Foundation. M2eclipse is a trademark of the
 * Eclipse Foundation. All other trademarks are the property of their respective owners.
 */
package org.sonatype.nexus.internal.orient;

import org.sonatype.nexus.common.entity.AbstractEntity;

/**
 * Representation of a unique identifier for this NXRM deployment.
 *
 * {@link #getId()} is randomly generated at first launch for NXRM and is not modifiable.
 *
 * @since 3.6.1
 */
class DeploymentIdentifier
    extends AbstractEntity
{
  private String id;
  private String alias;

  public String getId() {
    return id;
  }

  DeploymentIdentifier setId(final String id) {
    this.id = id;
    return this;
  }

  public String getAlias() {
    return alias;
  }

  public DeploymentIdentifier setAlias(final String alias) {
    this.alias = alias;
    return this;
  }

  @Override
  public String toString() {
    return "DeploymentIdentifier{" +
        "id='" + id + '\'' +
        ", alias='" + alias + '\'' +
        '}';
  }
}
