/*
 * Sonatype Nexus (TM) Open Source Version
 * Copyright (c) 2008-present Sonatype, Inc.
 * All rights reserved. Includes the third-party code listed at http://links.sonatype.com/products/nexus/oss/attributions.
 *
 * This program and the accompanying materials are made available under the terms of the Eclipse Public License Version 1.0,
 * which accompanies this distribution and is available at http://www.eclipse.org/legal/epl-v10.html.
 *
 * Sonatype Nexus (TM) Professional Version is available from Sonatype, Inc. "Sonatype" and "Sonatype Nexus" are trademarks
 * of Sonatype, Inc. Apache Maven is a trademark of the Apache Software Foundation. M2eclipse is a trademark of the
 * Eclipse Foundation. All other trademarks are the property of their respective owners.
 */
package org.sonatype.nexus.cleanup.internal.search.elasticsearch;

import javax.inject.Named;

import static org.sonatype.nexus.repository.search.DefaultComponentMetadataProducer.LAST_BLOB_UPDATED_KEY;

/**
 * Appends criteria for querying on the most recent blob_updated date from a components assets.
 *
 * @since 3.14
 */
@Named(LAST_BLOB_UPDATED_KEY)
public class LastBlobUpdatedCriteriaAppender
    extends LessThanTimeCriteriaAppender
{
  public LastBlobUpdatedCriteriaAppender() {
    super(LAST_BLOB_UPDATED_KEY);
  }
}
