/*
 * Sonatype Nexus (TM) Open Source Version
 * Copyright (c) 2008-present Sonatype, Inc.
 * All rights reserved. Includes the third-party code listed at http://links.sonatype.com/products/nexus/oss/attributions.
 *
 * This program and the accompanying materials are made available under the terms of the Eclipse Public License Version 1.0,
 * which accompanies this distribution and is available at http://www.eclipse.org/legal/epl-v10.html.
 *
 * Sonatype Nexus (TM) Professional Version is available from Sonatype, Inc. "Sonatype" and "Sonatype Nexus" are trademarks
 * of Sonatype, Inc. Apache Maven is a trademark of the Apache Software Foundation. M2eclipse is a trademark of the
 * Eclipse Foundation. All other trademarks are the property of their respective owners.
 */
package org.sonatype.nexus.repository.storage;

import javax.inject.Inject;
import javax.inject.Named;
import javax.inject.Singleton;


/**
 * @since 3.6
 */
@Named
@Singleton
public class RebuildAssetUploadMetadataConfiguration
{
  private final boolean enabled;

  private final int pageSize;

  @Inject
  public RebuildAssetUploadMetadataConfiguration(@Named("${nexus.asset.rebuildUploadMetadata.enabled:-true}") final boolean enabled,
                                                 @Named("${nexus.asset.rebuildUploadMetadata.pageSize:-1000}") final int pageSize) {
    this.enabled = enabled;
    this.pageSize = pageSize;
  }

  public boolean isEnabled() {
    return enabled;
  }

  public int getPageSize() {
    return pageSize;
  }
}
