/*
 * Sonatype Nexus (TM) Open Source Version
 * Copyright (c) 2008-present Sonatype, Inc.
 * All rights reserved. Includes the third-party code listed at http://links.sonatype.com/products/nexus/oss/attributions.
 *
 * This program and the accompanying materials are made available under the terms of the Eclipse Public License Version 1.0,
 * which accompanies this distribution and is available at http://www.eclipse.org/legal/epl-v10.html.
 *
 * Sonatype Nexus (TM) Professional Version is available from Sonatype, Inc. "Sonatype" and "Sonatype Nexus" are trademarks
 * of Sonatype, Inc. Apache Maven is a trademark of the Apache Software Foundation. M2eclipse is a trademark of the
 * Eclipse Foundation. All other trademarks are the property of their respective owners.
 */
package org.sonatype.nexus.security.user;

import static com.google.common.base.Preconditions.checkNotNull;

/**
 * {@link User} event.
 *
 * @since 3.1
 */
public abstract class UserEvent
{
  private final User user;

  public UserEvent(final User user) {
    this.user = checkNotNull(user);
  }

  public User getUser() {
    return user;
  }

  @Override
  public String toString() {
    return getClass().getSimpleName() + "{" +
        "user=" + user +
        '}';
  }
}
