/*
 * Sonatype Nexus (TM) Open Source Version
 * Copyright (c) 2008-present Sonatype, Inc.
 * All rights reserved. Includes the third-party code listed at http://links.sonatype.com/products/nexus/oss/attributions.
 *
 * This program and the accompanying materials are made available under the terms of the Eclipse Public License Version 1.0,
 * which accompanies this distribution and is available at http://www.eclipse.org/legal/epl-v10.html.
 *
 * Sonatype Nexus (TM) Professional Version is available from Sonatype, Inc. "Sonatype" and "Sonatype Nexus" are trademarks
 * of Sonatype, Inc. Apache Maven is a trademark of the Apache Software Foundation. M2eclipse is a trademark of the
 * Eclipse Foundation. All other trademarks are the property of their respective owners.
 */
package org.sonatype.nexus.blobstore.compact.internal;

import org.sonatype.goodies.testsupport.TestSupport;
import org.sonatype.nexus.scheduling.TaskConfiguration;

import org.junit.Before;
import org.junit.Test;

import static org.hamcrest.MatcherAssert.assertThat;
import static org.hamcrest.Matchers.is;
import static org.sonatype.nexus.scheduling.TaskDescriptorSupport.MULTINODE_KEY;

public class CompactBlobStoreTaskDescriptorTest
    extends TestSupport
{
  CompactBlobStoreTaskDescriptor underTest;

  TaskConfiguration taskConfiguration = new TaskConfiguration();

  @Before
  public void setUp() throws Exception {
    underTest = new CompactBlobStoreTaskDescriptor();
  }

  @Test
  public void initializeConfiguration() throws Exception {
    underTest.initializeConfiguration(taskConfiguration);
    assertThat(taskConfiguration.getBoolean(MULTINODE_KEY, false), is(true));
  }
}
